Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS05cGhtLWZtNTctcmhnOM4AA9X0

Panic when parsing invalid palette-color images in golang.org/x/image

Parsing a corrupt or malicious image with invalid color indices can cause a panic.

Permalink: https://github.com/advisories/GHSA-9phm-fm57-rhg8
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS05cGhtLWZtNTctcmhnOM4AA9X0
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Moderate
Classification: General
Published: 18 days ago
Updated: 17 days ago


Identifiers: GHSA-9phm-fm57-rhg8, CVE-2024-24792
References: Blast Radius: 0.0

Affected Packages

go:golang.org/x/image
Dependent packages: 14,045
Dependent repositories: 117,023
Downloads:
Affected Version Ranges: < 0.18.0
Fixed in: 0.18.0
All affected versions: 0.1.0, 0.2.0, 0.3.0, 0.4.0, 0.5.0, 0.6.0, 0.7.0, 0.8.0, 0.9.0, 0.10.0, 0.11.0, 0.12.0, 0.13.0, 0.14.0, 0.15.0
All unaffected versions: